Discover

Get Started

Developers

Industries

Create a File Transfer

Create a one-time Transfer between connected Devices and control it while it is in progress (cancel, pause, or resume).

Browse the Transfer Path

POST /api/explorer/fileSearchV3/{deviceId} — Browse a Device path

Browse the source Device to locate the files or folders before creating a Transfer.

bash
1
2
3
4
5
curl -X POST https://exacoola.innorix.com/api/explorer/fileSearchV3/dev_a1 \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>" \ -H "Content-Type: application/json" \ -d '{ "path": "/data/export", "onlyFolder": false }'

Create a One-Time Transfer

POST /api/transfer/manualTransfer — Create a one-time Transfer

bash
1
2
3
4
5
6
7
8
9
10
11
12
curl -X POST https://exacoola.innorix.com/api/transfer/manualTransfer \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>" \ -H "Content-Type: application/json" \ -d '{ "sourceId": "6901ae48ca578216fd739f78", "targetId": "690037c22d309a7bc494bc53", "targetPath": "690037c22d309a7bc494bc53_ino_QzovVXNlcnMvaW5ub3JpeC9Eb3dubG9hZHMvTmV3IGZvbGRlciAoMyk", "sourceItem": [ { "filePath": "C:/Users/MY PC/Downloads/100 files/New folder" } ] }'

Response:

json
1
2
3
4
5
{ "status_code": 201, "message": "success", "data": { "monitorId": "mon_7788", "status": "queued" } }

Use the returned monitorId for subsequent control and monitoring operations.

Control a Transfer

PurposeMethod · Endpoint
Cancel TransferPATCH /api/transfer/cancel/{monitorId}
Pause TransferPATCH /api/transfer/pause/{monitorId}
Resume TransferPATCH /api/transfer/resume/{monitorId}
Unified controlPOST /api/transfer/control
bash
1
2
3
curl -X PATCH https://exacoola.innorix.com/api/transfer/pause/mon_7788 \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>"

Cancel and Resume use the same format: PATCH /api/transfer/cancel/{monitorId} and PATCH /api/transfer/resume/{monitorId} (no request body).

Unified ControlPOST /api/transfer/control

Perform multiple control actions through a single endpoint. Pass pause_transfer, resume_transfer, or cancel_transfer in the event field.

bash
1
2
3
4
5
curl -X POST "https://exacoola.innorix.com/api/transfer/control?workSpaceId=<WORKSPACE_ID>" \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>" \ -H "Content-Type: application/json" \ -d '{ "event": "pause_transfer", "transferId": "transfer_123" }'

Bulk Cancel, Retry Failed Files, and Replay

PurposeMethod · Endpoint
Cancel multiple TransfersPOST /api/transfer/cancel-transfer-list
Retry failed filesPOST /api/transfer/retry-failed-files
Replay a previous TransferPOST /api/transfer/{monitorId}/replay
Get Transfer file listGET /api/transfer/{id}/get-files

Cancel Multiple TransfersPOST /api/transfer/cancel-transfer-list

bash
1
2
3
4
5
curl -X POST "https://exacoola.innorix.com/api/transfer/cancel-transfer-list?workSpaceId=<WORKSPACE_ID>" \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>" \ -H "Content-Type: application/json" \ -d '{ "monitorIds": ["monitor_123", "monitor_456"] }'

Retry Failed FilesPOST /api/transfer/retry-failed-files

bash
1
2
3
4
5
6
7
8
9
10
curl -X POST https://exacoola.innorix.com/api/transfer/retry-failed-files \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>" \ -H "Content-Type: application/json" \ -d '{ "monitorId": "69a5580ba461fef1ffdc4990", "filesRetry": [ { "filePath": "C:/Users/MY PC/Downloads/test/file.txt", "isFolder": false } ] }'

Replay a Previous TransferPOST /api/transfer/{monitorId}/replay

bash
1
2
3
4
5
curl -X POST https://exacoola.innorix.com/api/transfer/mon_7788/replay \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>" \ -H "Content-Type: application/json" \ -d '{ "action": "replay" }'

Get Transfer File ListGET /api/transfer/{id}/get-files

ParameterTypeDescription
current_pathstringSubdirectory path to retrieve
pageintegerPage number
sizeintegerNumber of results per page
idTypestringID type (transfer / monitor)
bash
1
2
3
curl "https://exacoola.innorix.com/api/transfer/mon_7788/get-files?page=1&size=50" \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "x-workspace-id: <WORKSPACE_ID>"